# env/bin/bash sh

#le tableau de choix possible de types pour la nouvelle variable
declare -a choix=("BigIntegerField" "BooleanField" "FloatField" "IntegerField")



function demande_information()
{
	# cette fonction permet de demander à l'utilisateur le type et le nom de la nouvelle colonne à rajouter dans
	# la base de donnée django

	#le préfixe de la variable dans la base de donnée
  prefixe_nom_variable="gvvi_"

	#demande le nom de la variable sans le préfixe
	read -p "quelle nom de variable choisissez vous ? " nomvariable
	nomvariable=$prefixe_nom_variable$nomvariable

	echo "choisissez le type de la variable django dans la liste suivante :"
	for (( i=0; i<${#choix[@]}; i++ ));
  do
    echo "${choix[$i]} : $i"
  done
  read -p "entrez le numéro du type de votre choix : " id_choix

  #récupére le nom de la méthode de remplissage des données et on y ajoute le préfixe get_
  read -p "Donnez le nom de la méthode de récupération d'information dans la classe OSMnx_recuperation_graph_information : " nom_fonction
  nom_fonction="get_$nom_fonction"
  echo "nomvariable	$nomvariable" > fichier_decision_utilisateur_ajout_colonne
  echo "type		${choix[$id_choix]}" >> fichier_decision_utilisateur_ajout_colonne
  echo "nom_fonction	$nom_fonction" >> fichier_decision_utilisateur_ajout_colonne
}

demande_information
